Loading...
Searching...
No Matches
obj_info.h File Reference
Base API » Fiasco extensions

Debugger related functions. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/l4int.h>`
Include dependency graph for obj_info.h:

Go to the source code of this file.

## Functions

l4_msgtag_t | l4_debugger_query_obj_infos (l4_cap_idx_t cap, l4_addr_t ku_mem_addr, l4_size_t ku_mem_size, l4_umword_t skip, l4_umword_t *result_cnt, l4_umword_t *result_all) L4_NOTHROW
| Retrieve information from the kernel about all objects in the mapping database and write data to the passed KU memory.

## Detailed Description

Debugger related functions.

Attention
  This API is subject to change!

Definition in file obj_info.h.

## Function Documentation

## l4_debugger_query_obj_infos()

l4_msgtag_t l4_debugger_query_obj_infos | ( | l4_cap_idx_t | cap,
|  | l4_addr_t | ku_mem_addr,
|  | l4_size_t | ku_mem_size,
|  | l4_umword_t | skip,
|  | l4_umword_t * | result_cnt,
|  | l4_umword_t * | result_all )

inline

Retrieve information from the kernel about all objects in the mapping database and write data to the passed KU memory.

Parameters

  | cap | Capability of the debugger object.
  | ku_mem_addr | Address of the KU memory for writing the information.
  | ku_mem_size | Size of the KU memory to writing the information.
  | skip | Number of objects to skip.
  [out] | result_cnt | Number of objects in the mapping database.
  [out] | result_all | Number of objects written to the KU memory.

Note
  The kernel will only write a number of object information which fits to the passed KU memory. To retrieve missing object information, repeat the call and adapt the skip parameter accordingly.
  If this system call is performed several times, the number of kernel objects might have changed in the meantime.

Definition at line 176 of file obj_info.h.

References L4_NOTHROW, and l4_utcb().

Here is the call graph for this function: